
Foreman - Refactor #29292

deprecate  per_page_options and move its logic to Pagination component

03/08/2020 05:23 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8152

  

Description

we don't use per_page_options anywhere else (expect Pagination component), and since we already read the per_page url

parameter in the pagination, it makes sense to move the logic of calculating the options into the component instead of app_metadata

in application helper

Related issues:

Related to Katello - Refactor #31409: Update usePaginationOptions to use hook... Closed

Associated revisions

Revision 8bff4054 - 12/02/2020 06:03 PM - Tomer Brisker

Fixes #29292 - Move pagination options to the client (#8152)

Fixes #29292 - Move pagination options to the client

There is no need to send the pagination options from the server, they

can be generated on the client side.

Refs #29292 - fix review comments

Renamed PaginationHelper to PaginationHooks and removed test that is no

longer needed.

Refs #29292 - Remove useless pagination options from audit table

The pagination component already gets the pagination options and doesn't

need them to be passed in from the calling component.

Co-authored-by: Amir Fefer <amirfefer@gmail.com>

History

#1 - 03/09/2020 04:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Amir Fefer

- Pull request https://github.com/theforeman/foreman/pull/7497 added

#2 - 11/20/2020 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/7497)

#3 - 11/23/2020 03:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8152 added
#4 - 11/30/2020 12:30 PM - Tomer Brisker

- Related to Refactor #31409: Update usePaginationOptions to use hook instead of context added

#5 - 12/02/2020 06:03 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#6 - 12/02/2020 07:01 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8bff4054b83ff56fdcb29abcc2384a0e7977a9ba.
